- [HTTP request](https://docs.cloud.google.com/compute/docs/reference/rest/beta/interconnectGroups/get#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/compute/docs/reference/rest/beta/interconnectGroups/get#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/compute/docs/reference/rest/beta/interconnectGroups/get#body.request_body)
- [Response body](https://docs.cloud.google.com/compute/docs/reference/rest/beta/interconnectGroups/get#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/compute/docs/reference/rest/beta/interconnectGroups/get#body.InterconnectGroup.SCHEMA_REPRESENTATION)
    - [JSON representation](https://docs.cloud.google.com/compute/docs/reference/rest/beta/interconnectGroups/get#body.InterconnectGroup.SCHEMA_REPRESENTATION.physical_structure.SCHEMA_REPRESENTATION)
      - [JSON representation](https://docs.cloud.google.com/compute/docs/reference/rest/beta/interconnectGroups/get#body.InterconnectGroup.SCHEMA_REPRESENTATION.physical_structure.SCHEMA_REPRESENTATION.facilities.SCHEMA_REPRESENTATION)
    - [JSON representation](https://docs.cloud.google.com/compute/docs/reference/rest/beta/interconnectGroups/get#body.InterconnectGroup.SCHEMA_REPRESENTATION.configured.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/compute/docs/reference/rest/beta/interconnectGroups/get#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/compute/docs/reference/rest/beta/interconnectGroups/get#body.aspect_1)
- [Try it!](https://docs.cloud.google.com/compute/docs/reference/rest/beta/interconnectGroups/get#try-it)

Returns the specified InterconnectGroup resource in the given scope.

### HTTP request

Choose an endpoint:
global africa-south1 asia-east1 asia-east2 asia-northeast1 asia-northeast2 asia-northeast3 asia-south1 asia-south2 asia-southeast1 asia-southeast2 asia-southeast3 australia-southeast1 australia-southeast2 europe-central2 europe-north1 europe-north2 europe-southwest1 europe-west1 europe-west10 europe-west12 europe-west2 europe-west3 europe-west4 europe-west6 europe-west8 europe-west9 me-central1 me-central2 me-west1 northamerica-northeast1 northamerica-northeast2 northamerica-south1 southamerica-east1 southamerica-west1 us-central1 us-east1 us-east4 us-east5 us-south1 us-west1 us-west2 us-west3 us-west4   
`GET https://compute.googleapis.com/compute/beta/projects/{project}/global/interconnectGroups/{interconnectGroup}`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `project` | `string` Project ID for this request. |
| `interconnectGroup` | `string` Name of the InterconnectGroup resource to return. |

### Request body

The request body must be empty.

### Response body

An interconnect group resource allows customers to create, analyze, and expand their redundant connections.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "kind": string, "id": string, "creationTimestamp": string, "name": string, "description": string, "selfLink": string, "etag": string, "interconnects": { string: { "interconnect": string }, ... }, "intent": { "topologyCapability": enum }, "physicalStructure": { "metros": [ { "metro": string, "facilities": [ { "facility": string, "zones": [ { "zone": string, "interconnects": [ string ] } ] } ] } ] }, "configured": { "topologyCapability": { "supportedSla": enum, "intendedCapabilityBlockers": [ { "blockerType": enum, "explanation": string, "documentationLink": string, "metros": [ string ], "facilities": [ string ], "zones": [ string ], "interconnects": [ string ] } ] } } } ``` |

| Fields ||
|---|---|
| `kind` | `string` Output only. Type of the resource. Always compute#InterconnectGroup |
| `id` | `string (https://developers.google.com/discovery/v1/type-format format)` Output only. The unique identifier for the resource type. The server generates this identifier. |
| `creationTimestamp` | `string` Output only. Creation timestamp in [RFC3339](https://www.ietf.org/rfc/rfc3339.txt) text format. |
| `name` | `string` Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with [RFC1035](https://www.ietf.org/rfc/rfc1035.txt). Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash. |
| `description` | `string` An optional description of this resource. Provide this property when you create the resource. |
| `selfLink` | `string` Output only. Server-defined URL for the resource. |
| `etag` | `string` Opaque system-generated token that uniquely identifies the configuration. If provided when patching a configuration in update mode, the provided token must match the current token or the update is rejected. This provides a reliable means of doing read-modify-write (optimistic locking) as described by [AIP 154](https://google.aip.dev/154). |
| `interconnects[]` | `map (key: string, value: object)` Interconnects in the InterconnectGroup. Keys are arbitrary user-specified strings. Users are encouraged, but not required, to use their preferred format for resource links as keys. Note that there are add-members and remove-members methods in gcloud. The size of this map is limited by an "Interconnects per group" quota. |
| `interconnects[].interconnect` | `string` The URL of an Interconnect in this group. All Interconnects in the group are unique. |
| `intent` | `object` |
| `intent.topologyCapability` | `enum` |
| `physicalStructure` | `object` |
| `physicalStructure.metros[]` | `object` |
| `physicalStructure.metros[].metro` | `string` Output only. The name of the metro, as a three-letter lowercase string like "iad". This is the first component of the location of Interconnects underneath this. |
| `physicalStructure.metros[].facilities[]` | `object` |
| `physicalStructure.metros[].facilities[].facility` | `string` Output only. The ID of this facility, as a numeric string like "5467". This is the third component of the location of Interconnects in this facility. |
| `physicalStructure.metros[].facilities[].zones[]` | `object` |
| `physicalStructure.metros[].facilities[].zones[].zone` | `string` Output only. The name of the zone, either "zone1" or "zone2". This is the second component of the location of Interconnects in this facility. |
| `physicalStructure.metros[].facilities[].zones[].interconnects[]` | `string` Output only. URLs of Interconnects in this redundancy group in the given metro, facility, and zone. |
| `configured` | `object` |
| `configured.topologyCapability` | `object` |
| `configured.topologyCapability.supportedSla` | `enum` |
| `configured.topologyCapability.intendedCapabilityBlockers[]` | `object` |
| `configured.topologyCapability.intendedCapabilityBlockers[].blockerType` | `enum` |
| `configured.topologyCapability.intendedCapabilityBlockers[].explanation` | `string` Output only. A human-readable explanation of this requirement and why it's not met. This is set for every type of requirement. |
| `configured.topologyCapability.intendedCapabilityBlockers[].documentationLink` | `string` Output only. The url of Google Cloud public documentation explaining this requirement. This is set for every type of requirement. |
| `configured.topologyCapability.intendedCapabilityBlockers[].metros[]` | `string` Output only. Metros used to explain this blocker in more detail. These are three-letter lowercase strings like "iad". A blocker like INCOMPATIBLE_METROS will specify the problematic metros in this field. |
| `configured.topologyCapability.intendedCapabilityBlockers[].facilities[]` | `string` Output only. Facilities used to explain this blocker in more detail. Like physicalStructure.metros.facilities.facility, this is a numeric string like "5467". |
| `configured.topologyCapability.intendedCapabilityBlockers[].zones[]` | `string` Output only. Zones used to explain this blocker in more detail. Zone names are "zone1" and/or "zone2". |
| `configured.topologyCapability.intendedCapabilityBlockers[].interconnects[]` | `string` Output only. Interconnects used to explain this blocker in more detail. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/compute.readonly`
- `
  https://www.googleapis.com/auth/compute`
- `
  https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

In addition to any permissions specified on the fields above, authorization requires one or more of the following [IAM](https://cloud.google.com/iam/docs/) permissions:

- `compute.interconnectGroups.get`

To find predefined roles that contain those permissions, see [Compute Engine IAM Roles](https://docs.cloud.google.com/compute/docs/access/iam).